Subject: bug#73663: 29.4; indirect-buffer behaviour is not correct

From: PENG Kevin <[email-masked]>
Date: Wed, 09 Oct 2024 13:23:23 +0800

Ok, i got a mistake to use indirect buffer in this way.
The text properties of base buffer are shared with indirect buffers.

Due to svg in emacs is not fully support, i have implemented this
by using =impatient-mode= with web-browser, when the svg file modified the
preview will be changed at the same time.

Michael Heerdegen <[email-masked]> writes:

> PENG Kevin <[email-masked]> writes:
>
> [+]
>> The text of the indirect buffer is always identical to the text of its
>> base buffer; changes made by editing either one are visible
>> immediately in the other. “Text” here includes both the characters and
>> their text properties.
>
> `image-mode' uses text properties to display the image!  Most major
> modes use text properties to font-lock the buffer and change the way how
> its contents are displayed.
>
> Use cases of indirect buffers are limited, maybe we need to warn more
> explicitly that their usefulness is very restricted.  IIRC, having
> indirect and base buffer using different major modes is something that
> was never supported.
>
> From the past discussions about the matter I also recall that the
> limitations are lying in the concept and we can't do much here without a
> reimplementation of the idea.
>
> So I would suggest to rather think about how to get what you want
> without using indirect buffers.
>
>
> Michael.

-- 
Best Regards.